org.jetlang.remote.acceptor

## Class SessionRequest

- java.lang.Object
- - org.jetlang.remote.acceptor.SessionRequest

    public class SessionRequest
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`SessionRequest(int reqId, String reqmsgTopic, Object reqmsg, JetlangMessagePublisher session)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `getRequest()`
`String` `getTopic()`
`void` `reply(Object replyMsg)`
`void` `reply(Object replyMsg, String replyTopic)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SessionRequest

    public SessionRequest(int reqId,
                          String reqmsgTopic,
                          Object reqmsg,
                          JetlangMessagePublisher session)

### Method Detail

#### getTopic

    public String getTopic()

#### getRequest

    public Object getRequest()

#### reply

    public void reply(Object replyMsg)

#### reply

    public void reply(Object replyMsg,
                      String replyTopic)